patches for DPDK stable branches
 help / color / Atom feed
* [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson
@ 2020-01-09 12:59 David Marchand
  2020-01-09 12:59 ` [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1 David Marchand
                   ` (2 more replies)
  0 siblings, 3 replies; 7+ messages in thread
From: David Marchand @ 2020-01-09 12:59 UTC (permalink / raw)
  To: dev
  Cc: bruce.richardson, bluca, aconole, stable, Thomas Monjalon,
	Ranjit Menon, Jeff Shaw, Pallavi Kadam, Harini Ramakrishnan,
	Anand Rawat

Using version 0.47.1, meson is unable to find the math library in Travis
for the 32bits job.
Quite surprisingly, this problem is not seen with the 64bits jobs.

Switching to 0.48.0, the problem disappears.

But we should pass 'm' to find_library instead of 'libm' anyway.

Fixes: 98edcbb5ab2f ("eal/windows: introduce Windows support")
Cc: stable@dpdk.org

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 config/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config/meson.build b/config/meson.build
index 01911ecf9..28a57f56f 100644
--- a/config/meson.build
+++ b/config/meson.build
@@ -115,7 +115,7 @@ add_project_link_arguments('-pthread', language: 'c')
 dpdk_extra_ldflags += '-pthread'
 
 # on some OS, maths functions are in a separate library
-if cc.find_library('libm', required : false).found()
+if cc.find_library('m', required : false).found()
 	# some libs depend on maths lib
 	add_project_link_arguments('-lm', language: 'c')
 	dpdk_extra_ldflags += '-lm'
-- 
2.23.0


^ permalink raw reply	[flat|nested] 7+ messages in thread

* [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1
  2020-01-09 12:59 [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson David Marchand
@ 2020-01-09 12:59 ` David Marchand
  2020-01-09 13:09   ` Bruce Richardson
  2020-01-09 14:16   ` Aaron Conole
  2020-01-09 13:09 ` [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson Bruce Richardson
  2020-01-09 14:17 ` Aaron Conole
  2 siblings, 2 replies; 7+ messages in thread
From: David Marchand @ 2020-01-09 12:59 UTC (permalink / raw)
  To: dev; +Cc: bruce.richardson, bluca, aconole, stable, Michael Santana

meson 0.53.0 has a compatibility issue [1] with the python 3.5.2 that comes
in Ubuntu 16.04.
On the other hand, the minimal version supported in dpdk is 0.47.1.

Stick to this version to avoid getting hit by regressions in meson latest
shiny release.

1: https://github.com/mesonbuild/meson/issues/6427

Cc: stable@dpdk.org

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 .ci/linux-setup.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.ci/linux-setup.sh b/.ci/linux-setup.sh
index dfb9d4a20..38bb88e15 100755
--- a/.ci/linux-setup.sh
+++ b/.ci/linux-setup.sh
@@ -1,7 +1,7 @@
 #!/bin/sh -xe
 
 # need to install as 'root' since some of the unit tests won't run without it
-sudo python3 -m pip install --upgrade meson
+sudo python3 -m pip install --upgrade 'meson==0.47.1'
 
 # setup hugepages
 cat /proc/meminfo
-- 
2.23.0


^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson
  2020-01-09 12:59 [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson David Marchand
  2020-01-09 12:59 ` [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1 David Marchand
@ 2020-01-09 13:09 ` Bruce Richardson
  2020-01-09 14:08   ` David Marchand
  2020-01-09 14:17 ` Aaron Conole
  2 siblings, 1 reply; 7+ messages in thread
From: Bruce Richardson @ 2020-01-09 13:09 UTC (permalink / raw)
  To: David Marchand
  Cc: dev, bluca, aconole, stable, Thomas Monjalon, Ranjit Menon,
	Jeff Shaw, Pallavi Kadam, Harini Ramakrishnan, Anand Rawat

On Thu, Jan 09, 2020 at 01:59:15PM +0100, David Marchand wrote:
> Using version 0.47.1, meson is unable to find the math library in Travis
> for the 32bits job.
> Quite surprisingly, this problem is not seen with the 64bits jobs.
> 
> Switching to 0.48.0, the problem disappears.
> 
> But we should pass 'm' to find_library instead of 'libm' anyway.
> 
> Fixes: 98edcbb5ab2f ("eal/windows: introduce Windows support")
> Cc: stable@dpdk.org
> 
> Signed-off-by: David Marchand <david.marchand@redhat.com>
> ---
>  config/meson.build | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/config/meson.build b/config/meson.build
> index 01911ecf9..28a57f56f 100644
> --- a/config/meson.build
> +++ b/config/meson.build
> @@ -115,7 +115,7 @@ add_project_link_arguments('-pthread', language: 'c')
>  dpdk_extra_ldflags += '-pthread'
>  
>  # on some OS, maths functions are in a separate library
> -if cc.find_library('libm', required : false).found()
> +if cc.find_library('m', required : false).found()
>  	# some libs depend on maths lib
>  	add_project_link_arguments('-lm', language: 'c')
>  	dpdk_extra_ldflags += '-lm'
> -- 
> 2.23.0
Acked-by: Bruce Richardson <bruce.richardson@intel.com>

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1
  2020-01-09 12:59 ` [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1 David Marchand
@ 2020-01-09 13:09   ` Bruce Richardson
  2020-01-09 14:16   ` Aaron Conole
  1 sibling, 0 replies; 7+ messages in thread
From: Bruce Richardson @ 2020-01-09 13:09 UTC (permalink / raw)
  To: David Marchand; +Cc: dev, bluca, aconole, stable, Michael Santana

On Thu, Jan 09, 2020 at 01:59:16PM +0100, David Marchand wrote:
> meson 0.53.0 has a compatibility issue [1] with the python 3.5.2 that comes
> in Ubuntu 16.04.
> On the other hand, the minimal version supported in dpdk is 0.47.1.
> 
> Stick to this version to avoid getting hit by regressions in meson latest
> shiny release.
> 
> 1: https://github.com/mesonbuild/meson/issues/6427
> 
> Cc: stable@dpdk.org
> 
> Signed-off-by: David Marchand <david.marchand@redhat.com>
> ---
>  .ci/linux-setup.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/.ci/linux-setup.sh b/.ci/linux-setup.sh
> index dfb9d4a20..38bb88e15 100755
> --- a/.ci/linux-setup.sh
> +++ b/.ci/linux-setup.sh
> @@ -1,7 +1,7 @@
>  #!/bin/sh -xe
>  
>  # need to install as 'root' since some of the unit tests won't run without it
> -sudo python3 -m pip install --upgrade meson
> +sudo python3 -m pip install --upgrade 'meson==0.47.1'
>  
Acked-by: Bruce Richardson <bruce.richardson@intel.com>

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson
  2020-01-09 13:09 ` [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson Bruce Richardson
@ 2020-01-09 14:08   ` David Marchand
  0 siblings, 0 replies; 7+ messages in thread
From: David Marchand @ 2020-01-09 14:08 UTC (permalink / raw)
  To: David Marchand
  Cc: dev, Luca Boccassi, Aaron Conole, dpdk stable, Thomas Monjalon,
	Ranjit Menon, Jeff Shaw, Pallavi Kadam, Harini Ramakrishnan,
	Bruce Richardson

On Thu, Jan 9, 2020 at 2:09 PM Bruce Richardson
<bruce.richardson@intel.com> wrote:
>
> On Thu, Jan 09, 2020 at 01:59:15PM +0100, David Marchand wrote:
> > Using version 0.47.1, meson is unable to find the math library in Travis
> > for the 32bits job.
> > Quite surprisingly, this problem is not seen with the 64bits jobs.
> >
> > Switching to 0.48.0, the problem disappears.
> >
> > But we should pass 'm' to find_library instead of 'libm' anyway.
> >
> > Fixes: 98edcbb5ab2f ("eal/windows: introduce Windows support")
> > Cc: stable@dpdk.org
> >
> > Signed-off-by: David Marchand <david.marchand@redhat.com>
> > ---
> >  config/meson.build | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/config/meson.build b/config/meson.build
> > index 01911ecf9..28a57f56f 100644
> > --- a/config/meson.build
> > +++ b/config/meson.build
> > @@ -115,7 +115,7 @@ add_project_link_arguments('-pthread', language: 'c')
> >  dpdk_extra_ldflags += '-pthread'
> >
> >  # on some OS, maths functions are in a separate library
> > -if cc.find_library('libm', required : false).found()
> > +if cc.find_library('m', required : false).found()
> >       # some libs depend on maths lib
> >       add_project_link_arguments('-lm', language: 'c')
> >       dpdk_extra_ldflags += '-lm'
> > --
> > 2.23.0
> Acked-by: Bruce Richardson <bruce.richardson@intel.com>

Series applied.


-- 
David Marchand


^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1
  2020-01-09 12:59 ` [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1 David Marchand
  2020-01-09 13:09   ` Bruce Richardson
@ 2020-01-09 14:16   ` Aaron Conole
  1 sibling, 0 replies; 7+ messages in thread
From: Aaron Conole @ 2020-01-09 14:16 UTC (permalink / raw)
  To: David Marchand; +Cc: dev, bruce.richardson, bluca, stable, Michael Santana

David Marchand <david.marchand@redhat.com> writes:

> meson 0.53.0 has a compatibility issue [1] with the python 3.5.2 that comes
> in Ubuntu 16.04.
> On the other hand, the minimal version supported in dpdk is 0.47.1.
>
> Stick to this version to avoid getting hit by regressions in meson latest
> shiny release.
>
> 1: https://github.com/mesonbuild/meson/issues/6427
>
> Cc: stable@dpdk.org
>
> Signed-off-by: David Marchand <david.marchand@redhat.com>
> ---

Acked-by: Aaron Conole <aconole@redhat.com>


^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson
  2020-01-09 12:59 [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson David Marchand
  2020-01-09 12:59 ` [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1 David Marchand
  2020-01-09 13:09 ` [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson Bruce Richardson
@ 2020-01-09 14:17 ` Aaron Conole
  2 siblings, 0 replies; 7+ messages in thread
From: Aaron Conole @ 2020-01-09 14:17 UTC (permalink / raw)
  To: David Marchand
  Cc: dev, bruce.richardson, bluca, stable, Thomas Monjalon,
	Ranjit Menon, Jeff Shaw, Pallavi Kadam, Harini Ramakrishnan,
	Anand Rawat

David Marchand <david.marchand@redhat.com> writes:

> Using version 0.47.1, meson is unable to find the math library in Travis
> for the 32bits job.
> Quite surprisingly, this problem is not seen with the 64bits jobs.
>
> Switching to 0.48.0, the problem disappears.
>
> But we should pass 'm' to find_library instead of 'libm' anyway.
>
> Fixes: 98edcbb5ab2f ("eal/windows: introduce Windows support")
> Cc: stable@dpdk.org
>
> Signed-off-by: David Marchand <david.marchand@redhat.com>
> ---

Acked-by: Aaron Conole <aconole@redhat.com>


^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, back to index

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-01-09 12:59 [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson David Marchand
2020-01-09 12:59 ` [dpdk-stable] [PATCH 2/2] ci: use meson 0.47.1 David Marchand
2020-01-09 13:09   ` Bruce Richardson
2020-01-09 14:16   ` Aaron Conole
2020-01-09 13:09 ` [dpdk-stable] [PATCH 1/2] build: fix libm detection in meson Bruce Richardson
2020-01-09 14:08   ` David Marchand
2020-01-09 14:17 ` Aaron Conole

patches for DPDK stable branches

Archives are clonable:
	git clone --mirror http://inbox.dpdk.org/stable/0 stable/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 stable stable/ http://inbox.dpdk.org/stable \
		stable@dpdk.org
	public-inbox-index stable


Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.stable


AGPL code for this site: git clone https://public-inbox.org/ public-inbox